#include <bits/stdc++.h>
using namespace std;
int main(){
    long long a;
    scanf("%lld",&a);
    int br=0;
    long long p=a;
    long long x=1;
        while(p>9){
            p/=10;
            x*=10;
        }
    while(a>0){
        while(true){
            if(5*x<=a){
                a-=x*5;
                br++;
                break;
            }else if(2*x<=a){
                a-=x*2;
                br++;
                break;
            }else if(x<=a){
                a-=x;
                br++;
                break;
            }
            x/=10;
        }

    }
    cout<<br;
return 0;
}